<?php 

defined('C5_EXECUTE') or die("Access Denied.");

/*
 * John Liddiard (aka JohntheFish) www.c5magic.co.uk
 * This software is licensed under the terms described in the concrete5.org marketplace.
 * Please find the add-on there for the latest license copy.
 */

/*
 * http://documentation.concrete5.org/developers/packages/storing-configuration-values
 * 
 * If stuck, edit application/config/generated_overrides/safe_html.php and set \'panic\' => true.'
 * 
 */
$page = Page::getCurrentPage();
$pkg = Package::getByHandle('jl_safe_html');
$panic = $pkg->getFileConfig()->get('safe_html.panic');

if ($page->isEditMode() || $panic) {
    /*
     * The edit mode and panic view
     */
    echo '<pre style="position:relative;"><code>';
    echo h($content);
    echo '</code><h4 style="position:absolute;top:0;right:3px;color:#8a6d3b;background-color:#fcf8e3;padding:5px;border:1px  solid #faebcc;border-radius:4px;">' . t('HTML Block') . '<br>' . t('safe template') . '</h4></pre>';
} else {
    /*
     * The regualr view
     */
    echo $content;
}
